A Statement on Tyreright and Heartbleed

Posted by: Dan on 9/04/2014

Category: News and Events

You may have seen in recent news reports mention of a security vulnerability that affects a great deal of the internet referred to as “Heartbleed”. Without delving too deeply into the technical details of the specific vulnerability, the problem stems from the dependence on a particular bug in the OpenSSL standard.

For sites affected by the bug a simple update and security patch should resolve the problem. Users are strongly urged to wait for confirmation of a site’s update and then to change their passwords.

As far as it goes for Tyreright.com.au we can confirm that we have not been affected by the Heartbleed vulnerability, as we are not dependent on OpenSSL for our security layering technology. As always, we do encourage our customers to make use of strong passwords that protect their privacy. Here is an excellent guide on some modern tools that help to make creating and managing strong passwords easier.

For those who may be interested in more details on the technical vulnerability, please read a great explanation of the issues and why they matter from 1Password.